# CameraEGLStreamConsumer Class Reference

A Consumer object maintains a consumer connection to an EGLStream and is used to acquire and release dmabuf Fd from the stream. More...

`#include <CameraEGLStreamConsumer.h>`

List of all members.

## Public Member Functions

virtual CONSUMER_STATUS | setMaxAcquiredFrames (uint32_t maxFrames)=0
| Sets the maximum number of frames that can be simultaneously acquired by the consumer at any point in time.
virtual CONSUMER_STATUS | connect (EGLDisplay eglDisplay, EGLStreamKHR eglStream)=0
| Connects the Consumer to an EGLStream.
virtual void | disconnect ()=0
| Disconnects the consumer from the EGLStream.
virtual void | destroy ()=0
| Destroy the Consumer object.
virtual int | acquireFd (uint64_t timeout=0xFFFFFFFFFFFFFFFF, CONSUMER_STATUS *status=NULL)=0
| Acquires a new dmabuf Fd.
virtual CONSUMER_STATUS | releaseFd (int fd)=0
| Releases an acquired dmabuf .

## Static Public Member Functions

static CameraEGLStreamConsumer * | create (CONSUMER_STATUS *status=NULL)
| Creates a new Consumer object.

## Protected Member Functions

| ~CameraEGLStreamConsumer ()

## Detailed Description

A Consumer object maintains a consumer connection to an EGLStream and is used to acquire and release dmabuf Fd from the stream.

Destroying a Consumer will implicitly disconnect the stream and release any pending or acquired frames, invalidating any currently acquired dmabuf Fd.

Definition at line 57 of file CameraEGLStreamConsumer.h.

## Member Function Documentation

static CameraEGLStreamConsumer* CameraEGLStreamConsumer::create | ( | CONSUMER_STATUS * | status = `NULL` | ) | `[static]`

Creates a new Consumer object.

The returned Consumer will have the default state which can then be reconfigured using the various interfaces and settings methods before it is explicitly connected to the EGLStream using connect().

Parameters:

  `[out]` | status | An optional pointer to return an error status code.

Returns:
  A new Consumer object, or NULL on error.

virtual CONSUMER_STATUS CameraEGLStreamConsumer::setMaxAcquiredFrames | ( | uint32_t | maxFrames | ) | `[pure virtual]`

Sets the maximum number of frames that can be simultaneously acquired by the consumer at any point in time.

The default is 1.

Parameters:

  `[in]` | maxFrames | The maximum number of frames that can be acquired.

Returns:
  Success/error code of the call.

The documentation for this class was generated from the following file:

- include/CameraEGLStreamConsumer.h